org.apache.ignite.internal.processors.cache.distributed.dht

## Class GridDhtEmbeddedFuture<A,B>

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<A>
  - - org.apache.ignite.internal.util.future.GridEmbeddedFuture<A,B>
    - - org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtEmbeddedFuture<A,B>

All Implemented Interfaces:
  IgniteInternalFuture<A>, GridDhtFuture<A>

    public class GridDhtEmbeddedFuture<A,B>
    extends GridEmbeddedFuture<A,B>
    implements GridDhtFuture<A>

Embedded DHT future.

### Constructor Summary

Constructors
Constructor and Description
`GridDhtEmbeddedFuture(IgniteBiClosure<B,Exception,A> c, IgniteInternalFuture<B> embedded)`
`GridDhtEmbeddedFuture(IgniteInternalFuture<B> embedded, IgniteBiClosure<B,Exception,IgniteInternalFuture<A>> c)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<Integer>` `invalidPartitions()` Node that future should be able to provide keys to retry before it completes, so it's not necessary to wait till future is done to get retry keys.
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.util.future.GridEmbeddedFuture

`cancel, isCancelled`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`chain, chain, error, get, get, get, getUninterruptibly, ignoreInterrupts, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, onDone, onDone, reset, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.IgniteInternalFuture

`cancel, chain, chain, error, get, get, get, getUninterruptibly, isCancelled, isDone, listen, result`

### Constructor Detail

#### GridDhtEmbeddedFuture

    public GridDhtEmbeddedFuture(IgniteBiClosure<B,Exception,A> c,
                                 IgniteInternalFuture<B> embedded)

Parameters:
  `c` - Closure.
  `embedded` - Embedded.

#### GridDhtEmbeddedFuture

    public GridDhtEmbeddedFuture(IgniteInternalFuture<B> embedded,
                                 IgniteBiClosure<B,Exception,IgniteInternalFuture<A>> c)

Parameters:
  `embedded` - Future to embed.
  `c` - Embedding closure.

### Method Detail

#### invalidPartitions

    public Collection<Integer> invalidPartitions()

Node that future should be able to provide keys to retry before it completes, so it's not necessary to wait till future is done to get retry keys.

Specified by:
  `invalidPartitions` in interface `GridDhtFuture<A>`
Returns:
  Keys to retry because this node is no longer a primary or backup.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridEmbeddedFuture<A,B>`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018